(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[      4445,        141]
NotebookOptionsPosition[      4019,        122]
NotebookOutlinePosition[      4365,        137]
CellTagsIndexPosition[      4322,        134]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Example of using Mint", "Title",
 CellChangeTimes->{{3.5867451931453557`*^9, 3.5867451985329523`*^9}}],

Cell[BoxData[
 RowBox[{"<<", "Mint`"}]], "Input",
 CellChangeTimes->{{3.5856169119958687`*^9, 3.5856169134178147`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Declare", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"k1", ",", "k2", ",", "k3", ",", "k4", ",", "p"}], "}"}], ",", 
    "Vector"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"sp", "[", 
    RowBox[{"p", ",", "p"}], "]"}], "=", "1"}], ";"}]}], "Input",
 CellChangeTimes->{{3.58555437616904*^9, 3.585554398777092*^9}, 
   3.58555462568817*^9, {3.5856169150168824`*^9, 3.5856169159104767`*^9}}],

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{"CountMIs", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"-", 
       RowBox[{"sp", "[", "k1", "]"}]}], ",", 
      RowBox[{"-", 
       RowBox[{"sp", "[", "k2", "]"}]}], ",", 
      RowBox[{"-", 
       RowBox[{"sp", "[", "k3", "]"}]}], ",", 
      RowBox[{"-", 
       RowBox[{"sp", "[", "k4", "]"}]}], ",", 
      RowBox[{"1", "-", 
       RowBox[{"sp", "[", 
        RowBox[{"k1", "+", "p"}], "]"}]}], ",", 
      RowBox[{"1", "-", 
       RowBox[{"sp", "[", 
        RowBox[{"k1", "+", "k2", "+", "p"}], "]"}]}], ",", 
      RowBox[{"1", "-", 
       RowBox[{"sp", "[", 
        RowBox[{"k1", "+", "k2", "+", "k3", "+", "p"}], "]"}]}], ",", 
      RowBox[{"1", "-", 
       RowBox[{"sp", "[", 
        RowBox[{"k2", "+", "k3", "+", "k4", "+", "p"}], "]"}]}], ",", 
      RowBox[{"1", "-", 
       RowBox[{"sp", "[", 
        RowBox[{"k3", "+", "k4", "+", "p"}], "]"}]}], ",", 
      RowBox[{"1", "-", 
       RowBox[{"sp", "[", 
        RowBox[{"k4", "+", "p"}], "]"}]}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"k1", ",", "k2", ",", "k3", ",", "k4"}], "}"}]}], "]"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.585553870017021*^9, 3.5855539229642763`*^9}, 
   3.585554307376238*^9, {3.585554630070088*^9, 3.5855546328909693`*^9}, 
   3.585616785056351*^9, {3.585616917952835*^9, 3.5856169189244823`*^9}}],

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{"FindMIs", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"-", 
       RowBox[{"sp", "[", "k1", "]"}]}], ",", 
      RowBox[{"-", 
       RowBox[{"sp", "[", "k2", "]"}]}], ",", 
      RowBox[{"-", 
       RowBox[{"sp", "[", "k3", "]"}]}], ",", 
      RowBox[{"-", 
       RowBox[{"sp", "[", "k4", "]"}]}], ",", 
      RowBox[{"1", "-", 
       RowBox[{"sp", "[", 
        RowBox[{"k1", "+", "p"}], "]"}]}], ",", 
      RowBox[{"1", "-", 
       RowBox[{"sp", "[", 
        RowBox[{"k1", "+", "k2", "+", "p"}], "]"}]}], ",", 
      RowBox[{"1", "-", 
       RowBox[{"sp", "[", 
        RowBox[{"k1", "+", "k2", "+", "k3", "+", "p"}], "]"}]}], ",", 
      RowBox[{"1", "-", 
       RowBox[{"sp", "[", 
        RowBox[{"k2", "+", "k3", "+", "k4", "+", "p"}], "]"}]}], ",", 
      RowBox[{"1", "-", 
       RowBox[{"sp", "[", 
        RowBox[{"k3", "+", "k4", "+", "p"}], "]"}]}], ",", 
      RowBox[{"1", "-", 
       RowBox[{"sp", "[", 
        RowBox[{"k4", "+", "p"}], "]"}]}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"k1", ",", "k2", ",", "k3", ",", "k4"}], "}"}]}], "]"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.5855546490847516`*^9, 3.5855546496901565`*^9}, {
  3.5856167587218175`*^9, 3.5856167795887113`*^9}, {3.585616920791724*^9, 
  3.5856169219224796`*^9}}]
}, Open  ]]
},
WindowSize->{1000, 800},
WindowMargins->{{286, Automatic}, {53, Automatic}},
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (January 25, 2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 108, 1, 90, "Title"],
Cell[690, 25, 119, 2, 31, "Input"],
Cell[812, 29, 462, 12, 52, "Input"],
Cell[1277, 43, 1383, 37, 52, "Input"],
Cell[2663, 82, 1340, 37, 52, "Input"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

